#!/usr/bin/env python
""" Ozone, the XML based user object
Ozone is used by the Mercury components
Updated to use flags instead of groups (inspired by eggdrop)"""

# Copyright (C) 2003  Marek Kubica <gradamani AT surfeu DOT de>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

class User:
	Nickname = ""
	Greet = ""
	Flags = ""
	
	def __init__(self, Nickname, Flags):
		self.setNickname(Nickname)
		self.setFlags(Flags)
	
	def getNickname(self):
		return self.Nickname
		
	def getFlags(self):
		return self.Flags
		
	def getGreet(self):
		return self.Greet
		
	def setNickname(self, Nickname):
		self.Nickname = Nickname
	
	def setFlags(self, Flags):
		self.Flags = Flags
		
	def setGreet(self, Greet):
		self.Greet = Greet